The tag has no wiki summary.

learn more… | top users | synonyms

0
votes
0answers
9 views

RHEL 6.6 pip after python upgrade “ImportError: /usr/local/lib/python2.7/lib-dynload/array.so: undefined symbol: PyUnicodeUCS2_FromUnicode”

I originally have python 2.6 and installed 2.7 and want to use pip to install some libraries like futures (with an s :)). Unfortunately, it seems like pip's libraries has been messed up. When type pip ...
0
votes
0answers
22 views

Python3 virtualenv: ImportError: no module named 'ConfigParser'

I'm working on OSX and I'm trying to create a virtualenv with Python3, but I'm getting an error: $ virtualenv --python python3 env Running virtualenv with interpreter ...
-1
votes
1answer
26 views

Are we drowning in package managers? [closed]

The current trend is to use language-oriented package manager, such as npm or bower for javascript, pip for python, gems for ruby and so on. As I understand the need for a dependency manager when you ...
0
votes
2answers
339 views

How to install python3.4-pip in Freebsd 10.1

I searched in the ports and can't find a pip installation package other than the pip for python27 py27-pip-6.1.1 Which way is the best for installing pip for python 3.x in FreeBSD 10.1 ? Or is it ...
0
votes
0answers
97 views

How do I re-compile python?

I am attempting to install pip on RHEL. When I run: [root@somewhere ~]# python get-pip.py Traceback (most recent call last): File "get-pip.py", line 20204, in <module> main() File ...
0
votes
1answer
154 views

Installing scipy in virtualenv on Elastic Beanstalk

I'm using Amazon's Elastic Beanstalk to deploy an example Flask app. I can get a simple "Hello World" app deployed perfectly, but now I'm trying to deploy the app with scipy as a requirement. I've ...
0
votes
1answer
119 views

How to enable PIP on an Azure VM? [closed]

Has anyone used the preview portal in Azure to configure a PIP for a VM? When I go into the IP Addresses tab the "enable" button is grayed out. The is for an "instance public IP". Is it just because ...
-1
votes
1answer
47 views

Pyajam in debian 7 [closed]

I'm trying to make the installation package python Pyajam I tried to install a pip, I received an error 4Suite-XML package Installing collected packages: pyajam, 4Suite-XML Running setup.py install ...
2
votes
1answer
830 views

pip install seems to be ignoring dependency links

I have a Python application that depends on several packages. One of those packages, unfortunately, isn't in PyPi so I have to install it directly from the git repo. I've been trying to add it into ...
1
vote
0answers
404 views

rhel 6.4 pip with proxy error : name or service not known

the pip command pip search statsd --proxy=http://anadi.misra:XXXXXXXXX@192.168.200.77:8080 Now my password contains an @ too so I give the encoded form in password; i.e. some@pass is supplied as ...
0
votes
1answer
2k views

Could not find any downloads that satisfy the requirement iso8601>=0.1.9 for DevStack

My machine operating system is Ubuntu 12.04 I tried to implement the all in one openstack solution for development. But ./stack.sh did not succeed. It looks like a package problem for pip. so, I ...
1
vote
0answers
234 views

Identical Vagrant VM's install pip packages differently?

I have a vagrant VM being provisioned via Puppet. I'm testing this on two different Ubuntus, 12.04 and 13.10, both using the "standard" precise32 box. The application I'm testing is a Django ...
0
votes
1answer
90 views

Trouble with $PATH on debian

I think I have a problem with $PATH. I am running a shell script and it is complaining that it doesnt recognize the command even though when I run it manually it does. Shell Script: #!/bin/bash # ...
-1
votes
1answer
225 views

How to install pip and other specific python modules onto a CentOS server that is air-gapped from the internet?

Ultimately, I'm trying to install SaltStack on a super computer that has no internet connection. And I'm not allowed to hook it to the internet. So far, I have installed an entire yum repo on the ...
0
votes
1answer
186 views

Installing pip to a custom location

I am a little bit stuck when it comes to installing pip. Securely download get-pip.py. [2] Then run the following (which may require administrator access), to install (or upgrade to) the latest ...
0
votes
1answer
345 views

Installing PIP on debain - Unknown command pip

I'm having a bit of a hard time installing PIP on a debian linux machine. This is the code I am using in a shell script: # Install setuptools python -c 'import setuptools' > /dev/null 2>&1 ...
-2
votes
1answer
135 views

Python's 3.4a LEFOVERS [closed]

root@secure [~]# find / -name python3.4 | rm -rf root@secure [~]# locate python3.4 /root/.local/lib/python3.4 /usr/local/include/python3.4m /usr/local/lib/libpython3.4m.a ...
0
votes
1answer
1k views

How do I tell if a Python pip install is working correctly or hanging?

I am trying to install the python pandas package in a virtualenv using pip. On my development machine it installed correctly, but now I am trying on the server, it gets so far then it seems to get ...
0
votes
1answer
41 views

Pip timeouts with host reset mesage every time under VirtualBox [closed]

When trying to install requirements.txt (or anything else for the matter), pip just time-outs every time with host reset message. This happens only under VirtualBox (guest CentOS 6.4 64-bit, host ...
2
votes
2answers
2k views

mysql-python with MySQL 5.6

I am having problems installing the mysql-python module in my server (CentOS 6.4 x86_64) with MySQL 5.6 installed and Python 2.6.6. [python@localhost ~]$ rpm -qa | grep SQL ...
0
votes
1answer
319 views

How to make pip or easy_install use aliases

I have some trouble installing python-mysqldb. The error I get is E: Could not perform immediate configuration on 'gcc'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2) ...
0
votes
1answer
750 views

Import error on boto - Module not found

I have a ubuntu LTS server. On boot I run a script which does the following: #!/bin/bash apt-get -y install build-essential python-dev libxml2-dev libxslt1-dev apt-get -y install python-pip ...
1
vote
4answers
1k views

PIP not installing to virtualenv directory

I am attempting to install django to a virtualenv that already exists. Following the instructions listed on the pip-install website here, I ran the following from SSH. name@server:~$ . ...
3
votes
1answer
878 views

Why is ATLAS not detected on RHEL when I try a SciPy installation through pip?

I'm using RHEL6, Python 2.6.6, and trying to install SciPy through pip. [user@server ~]$ sudo pip install scipy <snip> atlas_blas_threads_info: Setting PTATLAS=ATLAS libraries ...
0
votes
1answer
2k views

Ubuntu 13.04 errors with Python PIP install

After trying to use Ubuntu 13.04 instead of Ubuntu 12.10 to run my Chef recepis against I am getting an error when it tries to run sudo pip install cElementTree supervisor STDOUT: ...
3
votes
1answer
195 views

Deploy a Python project on a server with no compiler and no internet connection [closed]

There's a Python project I want to deploy on a production server which has no internet connection and no compiler. The project is using SQLAlchemy and pip install sqlalchemy requires a compiler to ...
0
votes
1answer
321 views

amazon linux installation of rpy2 fails

the installation of rpy2 an amazon linux via sudo pip-2.7 install rpy2 fails with In file included from ./rpy/rinterface/_rinterface.c:58:0: ./rpy/rinterface/_rinterface.h:8:15: fatal error: R.h: ...
1
vote
1answer
370 views

ipython easy_install/pip error

gcc is complaining with the following when trying to sudo easy_install readline: Running readline-6.2.4/setup.py -q bdist_egg --dist-dir /tmp/easy_install-JEUNX3/readline-6.2.4/egg-dist-tmp-_THoHR ...
1
vote
1answer
389 views

Python install issue on Mac OS X

I have been using the standard python that comes with OS X Lion (2.7.2) but I wanted to build a UCS-4 version to handle 4-byte unicode characters better. I had already installed pip and packages like ...
6
votes
3answers
6k views

How To Tell Puppet To Only Install Using Pip If A File Doesn't Exist

I am using Puppet to install some Python packages using pip. I'm using Puppet 2.7, so my package declarations look something like this: package { "carbon": require => ...
0
votes
1answer
2k views

Error while installing with Python “pip”: Cannot fetch index base URL http://

I am trying to install a local version of ScrumDo for testing. Only then I come to the point in my installation that I have to run: source bin/activate pip install -r requirements.txt I get ...
3
votes
1answer
89 views

Workaround for pip install -E option

I am running a Fabric script that sets up a virtualenv on a remote server (running Ubuntu 12.04) and installs various packages into it. The script uses the -E option for pip to install the packages ...
7
votes
2answers
2k views

'pip install carbon' looks like it works, but pip disagrees afterward

I'm trying to use pip to install the package carbon, a package related to statistics collection. When I run pip install carbon, it looks like everything works. However, pip is unconvinced that the ...
3
votes
1answer
1k views

pycurl install looks for a non-existent file (libcurl.a)

I'm running a Gentoo Linux system under which I've never had problems installing anything into my virtualenv using pip. I've managed installing PIL and django, but for some reason, pycurl (a ...
1
vote
1answer
148 views

Python virtualenv, pip and large setupping

What is the best practices for management large installs of virtualenv. How to do mass update of the packages?
1
vote
1answer
597 views

How do I make pip or easy_install use /opt/python2.6/include?

I have built and installed python2.6.2 in /opt according to these instructions: http://casualengineer.blogspot.com/2009/09/install-python-262-on-centos-53.html#comment-form but for some reason my pip ...
9
votes
2answers
5k views

How do I list the files associated with a Python package installed using pip or easy_install?

I've installed a Python package using pip, which is a replacement for easy_install. How do I get a list of which installed files are associated with this package? Basically, I'm looking for the ...
1
vote
3answers
1k views

How do I upgrade django on ubuntu 9.04?

I've got Django 1.0.2 installed on Ubuntu 9.04. I'd like to upgrade Django, because I have an app that needs Django 1.1 or greater. I tried using pip to do the upgrade, but got the following: $ sudo ...